summaryrefslogtreecommitdiffstats
path: root/source/n/ModemManager/ModemManager.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-08-21 18:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2024-08-21 20:30:25 +0200
commita259c4df1ed631fdb093f094cbbb770d6f3fb0af (patch)
tree88c7fd9fc97f640f275381d0395a831c2a589823 /source/n/ModemManager/ModemManager.SlackBuild
parent5ec7ae04a2100d1aa5e6fef5f2d392a894093962 (diff)
downloadcurrent-a259c4df1ed631fdb093f094cbbb770d6f3fb0af.tar.gz
current-a259c4df1ed631fdb093f094cbbb770d6f3fb0af.tar.xz
Wed Aug 21 18:08:47 UTC 202420240821180847
d/python-setuptools-73.0.1-x86_64-1.txz: Upgraded. d/rust-bindgen-0.70.1-x86_64-1.txz: Upgraded. n/ModemManager-1.22.0-x86_64-1.txz: Upgraded. n/dhcpcd-10.0.10-x86_64-1.txz: Upgraded. n/epic5-2.4-x86_64-1.txz: Upgraded. n/libqmi-1.34.0-x86_64-2.txz: Rebuilt. Build against libqrtr-glib with -Dqrtr=true. n/libqrtr-glib-1.2.2-x86_64-1.txz: Added. ModemManager-1.22.0 needs libqmi to be linked with this. x/xorg-server-21.1.13-x86_64-3.txz: Rebuilt. Patched changing a type from unsigned long to unsigned long long which fixes the black screen seen on 32-bit with the modesetting driver. Seems fine on 64-bit as well, so the patch is applied for all builds. The patch to default to modesetting for Intel graphics is restored (and the one for nouveau is kept as well). Thanks to Lenard Spencer for reporting that nouveau was also hitting this. Thanks to Petri Kaukasoina for the patch. x/xorg-server-xephyr-21.1.13-x86_64-3.txz: Rebuilt. x/xorg-server-xnest-21.1.13-x86_64-3.txz: Rebuilt. x/xorg-server-xvfb-21.1.13-x86_64-3.txz: Rebuilt.
Diffstat (limited to 'source/n/ModemManager/ModemManager.SlackBuild')
-rwxr-xr-xsource/n/ModemManager/ModemManager.SlackBuild61
1 files changed, 35 insertions, 26 deletions
diff --git a/source/n/ModemManager/ModemManager.SlackBuild b/source/n/ModemManager/ModemManager.SlackBuild
index c89663ad5..56e2206ab 100755
--- a/source/n/ModemManager/ModemManager.SlackBuild
+++ b/source/n/ModemManager/ModemManager.SlackBuild
@@ -33,7 +33,7 @@ BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i586 ;;
+ i?86) ARCH=i686 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -53,14 +53,11 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-$TMP}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+if [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=pentium4 -mtune=generic"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -march=x86-64 -mtune=generic -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -90,33 +87,45 @@ if [ ! -r configure ]; then
fi
fi
-LIBSYSTEMD_LOGIN_CFLAGS="$(pkg-config --cflags libelogind)" \
-LIBSYSTEMD_LOGIN_LIBS="$(pkg-config --libs libelogind)" \
-CFLAGS="$SLKCFLAGS -Wno-incompatible-pointer-types" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+#LIBSYSTEMD_LOGIN_CFLAGS="$(pkg-config --cflags libelogind)" \
+#LIBSYSTEMD_LOGIN_LIBS="$(pkg-config --libs libelogind)" \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS -Wno-incompatible-pointer-types"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --with-polkit=no \
- --mandir=/usr/man \
- --disable-static \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --with-systemd-suspend-resume \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ -Dsystemd_suspend_resume=true \
+ -Dsystemd_journal=false \
+ -Dsystemdsystemunitdir=no \
+ -Dpolkit=permissive \
+ -Dvapi=true \
+ -Dbash_completion=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Install bash-completion file manually since meson is stupid about this:
+mkdir -p $PKG/usr/share/bash-completion/completions
+cp -a cli/mmcli-completion $PKG/usr/share/bash-completion/completions
# Move dbus configs to system location:
mkdir -p $PKG/usr/share/dbus-1/system.d/
mv $PKG/etc/dbus-1/system.d/* $PKG/usr/share/dbus-1/system.d/
rmdir --parents $PKG/etc/dbus-1/system.d/
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
-
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -124,7 +133,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* ChangeLog INSTALL NEWS README* \
+ AUTHORS* COPYING* NEWS* README* RELEASING* \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install